%global pypi_name onigurumacffi
%global commitId 7a2ddb344f14190100fedc1f39d335b984515e42

%if 0%{?rhel} == 8
%global component_version 3x
%endif

Name:           python%{?component_version}-%{pypi_name}
Version:        1.1.0
Release:        2%{?dist}
Summary:        python cffi bindings for the oniguruma regex engine

License:        MIT
URL:            https://github.com/asottile/onigurumacffi
Source0:        python-onigurumacffi-7a2ddb344f14190100fedc1f39d335b984515e42.tar.gz

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-cffi >= 1
BuildRequires:  oniguruma-devel >= 6.9.6

%description
python cffi bindings for the oniguruma regex engine

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:   %{summary}
Requires:  oniguruma >= 6.9.6
Requires:  python%{python3_version}dist(cffi) >= 1
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
python cffi bindings for the oniguruma regex engine

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitearch}/%{pypi_name}.py
%{python3_sitearch}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}{,.opt-?}.pyc
%{python3_sitearch}/_%{pypi_name}*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Mar 07 2022 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-2
- Build with python39

* Mon Jun 21 2021 Satoe Imaishi <simaishi@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Wed Apr 21 2021 Satoe Imaishi <simaishi@redhat.com> - 1.0.0-1
- Initial package.
